Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# subimage_view
[Image View Transformations]

## Detailed Description

view of an axis-aligned rectangular area within an image_view

## Functions

template<typename View>
View | subimage_view (const View &src, const typename View::point_t &topleft, const typename View::point_t &dimensions)
template<typename View>
View | subimage_view (const View &src, int xMin, int yMin, int width, int height)
template<typename ViewTypes>
any_image_view< ViewTypes > | subimage_view (const any_image_view< ViewTypes > &src, const point2< std::ptrdiff_t > &topleft, const point2< std::ptrdiff_t > &dimensions)
template<typename ViewTypes>
any_image_view< ViewTypes > | subimage_view (const any_image_view< ViewTypes > &src, int xMin, int yMin, int width, int height)